import menu from '/src/menu.json'

function addMenu(list, item) {
  list.push(
    {
      path: item.to,
      name: item.label,
      meta: {
        role: item.role,
        description: item.description,
        icon: item.icon
      },
      component: () => import('/src/' + item.component)
    }
  )
}

const routes = []
menu.forEach(m => {
  if (m.menus) {
    m.menus.forEach(item => {addMenu(routes, item)})
  } else {
    addMenu(routes, m)
  }
});
routes.push({ path: "/403", component: () => import('/src/views/403.vue') })
routes.push({ path: "/404", component: () => import('/src/views/404.vue') })
routes.push({ path: "*", redirect: '/404'})


export default routes
