export const meses = ["Janeiro", "Fevereiro", "Março", "Abril", "Maio", "Junho", "Julho", "Agosto", "Setembro", "Outubro", "Novembro", "Dezembro"]
export const dias = ["Dom", "Seg", "Ter", "Qua", "Qui", "Sex", "Sab"]

export const booleano = function (value, sim, nao) {
  sim = sim || 'Sim'
  nao = nao || 'Não'
  if (value) {
    return sim
  }
  return nao
}

export const truncate = function (value, length) {
  if (value === null || value === undefined || value.length < length) {
    return value
  }
  length = length - 3
  return value.substring(0, length) + '...'
}

export const telefone = function (value) {
  if (value) {
    return value.toString().replace(/[^0-9]/g, '').replace(/(\d{2})(\d{4})(\d{4})/, '($1) $2-$3')
  }
  return value
}

export const numero = function (value, casasDecimais) {
  if (value) {
    if (casasDecimais) {
      return value.toLocaleString('pt-BR', {minimumFractionDigits: casasDecimais})
    }
    return value.toLocaleString('pt-BR')
  }
  return value
}

export const cpfcnpj = function (value) {
  if (value) {
    let digitos = value.toString().replace(/[^0-9]/g, '')
    if (digitos.length === 11) {
      return digitos.replace(/(\d{3})(\d{3})(\d{3})/, '$1.$2.$3-')
    }
    if (digitos.length === 14) {
      return digitos.replace(/(\d{2})(\d{3})(\d{3})(\d{4})/, '$1.$2.$3/$4-')
    }
  }
  return value
}

export const cep = function (value) {
  if (value) {
    return value.toString().replace(/[^0-9]/g, '').replace(/(\d{2})(\d{3})/, '$1.$2-')
  }
  return value
}

export const textContains = function (value, textToFind, ignoreCare = true) {
  if (value === null || value === undefined || textToFind === null || textToFind === undefined) {
    return false;
  }
  if (ignoreCare) {
    value = value.toLowerCase()
    textToFind = textToFind.toLowerCase()
  }
  return value.indexOf(textToFind) >= 0
}
